### Method

# Aravis Buffer get_image_data

since: 0.8.25

#### Declaration [src]

    void*
    arv_buffer_get_image_data (
      ArvBuffer* buffer,
      size_t* size
    )

#### Description

No description available.

Available since: 0.8.25

#### Parameters

`size`

  Type: `size_t*`

  Data size placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guint8`

A pointer to the image data.

The length of the array is in the `size` argument.
The returned data is owned by the instance.